import { FC } from 'react'
import NextLink from 'next/link'

interface LinkProps {
  page: string
  className: string
  children?: React.ReactNode
}
const Link: FC<LinkProps> = (props) => (
  <NextLink href={props.page}>
    <a className={props.className + ' underline hover:text-gray-800'}>
      {props.children}
    </a>
  </NextLink>
)

export default Link
