import { FC, ReactElement, ReactNode } from 'react'
import { inspect } from 'util'
import styles from './HomeLayout.module.scss'

interface HomeLayoutProps {
  page: string
  children?: ReactNode
}
const HomeLayout: FC<HomeLayoutProps> = (props) => {
  return (
    <div className="min-h-screen bg-pink-50">
      <div className={styles.root + ' space-x-6 pt-14'}>
        <h1 className="space-x-2 text-2xl transition-all">
          <span>Wishes</span>
          <span>/</span>
          <span>{props.page}</span>
        </h1>
        <main className="pt-20">{props.children}</main>
      </div>
    </div>
  )
}

export default HomeLayout
